[sork] About license of sork modules

Gregory Colpart reg at evolix.fr
Sun Apr 30 18:07:33 PDT 2006


Today all sork modules are with Apache License 1.1-like
license [1]. This license seems not clearly free for Debian [2]
and this could be a problem to have packages for this modules in
Debian. Please read this thread [3] on debian-devel list to have

To sum up, I hope convincing authors to do one of following

- switch license to Apache license 2.0 like [4],
- switch licens to 3-clause BSD [5] or Horde BSD-like [6],
- switch license to GPL [7].

Note that dual licensing could be a solution too.

Perhaps, I should ask this in all (core|drivers) developers listed
in CREDITS file (but copyright in LICENSE file is for "The Horde
Project" and copyright in PHP files are for Eric Rostetter).

[1] : http://www.horde.org/licenses/asl.php
[2] : http://www.debian.org/social_contract#guidelines
[3] : http://lists.debian.org/debian-legal/2006/04/msg00136.html
[4] : http://www.apache.org/licenses/LICENSE-2.0 
[5] : http://www.gnu.org/licenses/info/BSD_3Clause.html
[6] : http://www.horde.org/licenses/bsdl.php
[7] : http://www.horde.org/licenses/gpl.php 

Gregory Colpart <reg at evolix.fr>  GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/

More information about the sork mailing list